This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 232751 - Acer AL1912 is detected incorrectlt
Acer AL1912 is detected incorrectlt
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-vesa (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Adam Jackson
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-03-16 22:47 EDT by Jesse Petre
Modified: 2008-01-15 09:39 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-15 09:39:01 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
my working xorg.conf (774 bytes, application/octet-stream)
2007-03-21 19:19 EDT, Jesse Petre
no flags Details
working version of Xorg.0.log (93.62 KB, text/plain)
2007-03-21 19:20 EDT, Jesse Petre
no flags Details
working version of Xorg.setup.log (93.62 KB, text/plain)
2007-03-21 19:21 EDT, Jesse Petre
no flags Details
Xorg.0.log from a reboot w/o a xorg.conf in place (103.78 KB, text/plain)
2007-03-21 19:22 EDT, Jesse Petre
no flags Details

  None (edit)
Description Jesse Petre 2007-03-16 22:47:20 EDT
Description of problem:
During Fedora Core 6 installation, the Acer AL1912 monitor is detected and
configured for 24-bit color.  This monitor does not support 24-bit color, only
16 and 32 bits.

Version-Release number of selected component (if applicable):


How reproducible:
Install Fedora with this monitor.

Steps to Reproduce:
1.
2.
3.
  
Actual results:
X will start fine, but the monitor won't display anything.  Extremely confusing
to a new linux user.

Expected results:
Change the configuration of this monitor to use 16 bits.

Additional info:
Comment 1 Matěj Cepl 2007-03-20 15:41:12 EDT
Thanks for the bug report.  We have reviewed the information you have provided
above, and there is some additional information we require that will be helpful
in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf) and X server log
file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file
attachments using the bugzilla file attachment link below.

Could you please also try to run without any /etc/X11/xorg.conf whatsoever and
let X11 autodetect your display and video card? Attach to this bug
/var/log/Xorg.0.log from this attempt as well, please.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 2 Jesse Petre 2007-03-21 19:19:58 EDT
Created attachment 150632 [details]
my working xorg.conf
Comment 3 Jesse Petre 2007-03-21 19:20:53 EDT
Created attachment 150633 [details]
working version of Xorg.0.log
Comment 4 Jesse Petre 2007-03-21 19:21:19 EDT
Created attachment 150634 [details]
working version of Xorg.setup.log
Comment 5 Jesse Petre 2007-03-21 19:22:07 EDT
Created attachment 150635 [details]
Xorg.0.log from a reboot w/o a xorg.conf in place
Comment 6 Jesse Petre 2007-03-21 19:26:42 EDT
Let me know if there is anything else you need.
Comment 7 Adam Jackson 2007-03-23 12:12:11 EDT
There is no such thing as a monitor that only supports 16bpp.  See the explanation 
I gave you on the mailing list when you brought this up there:

http://marc.info/?l=fedora-devel-list&m=117405607216545&w=2

This is just the vesa driver not having any good heuristics for computing
virtual size in FC6.  Try installing the vesa driver from rawhide and see if
that does a better job:

http://download.fedora.redhat.com/pub/fedora/linux/core/development/x86_64/os/Fedora/xorg-x11-drv-vesa-1.3.0-5.fc7.x86_64.rpm
Comment 8 Jesse Petre 2007-03-23 20:20:55 EDT
I installed the rpm you linked for me with rpm -U.  I then restarted my 
computer, and X would not start.  It returns:
"can't start card 0, can't start card 1, try fresh config..."
when I try system-config-display.  When I try Xorg, it returns this:
(EE) end of block range 0x7ffffff < begin 0xf000000
(EE) module ABI minor version (1) is newer than the server's verison (0)
(EE) failed to load module "vesa" (module requirement mismatch, 0)
(EE) no drivers available.

Fatal server error:
no screens found

I'm guessing that I installed the rpm incorrectly...?
When I try to erase the rpm, it says that this package is not installed, and it 
says the same when I query it. If i try to re-install it, it says this package 
is already installed.  I've force-installed it again, with no effect.

If you could tell me how to mount my thumb drive from the command line, I can 
get you the Xorg.0.log file from this.  Thanks.
Comment 9 Adam Jackson 2007-05-03 14:38:58 EDT
Sorry for the delay.  Rebuilt the rawhide vesa driver against FC6, which should
solve the ABI issue:

http://people.redhat.com/ajackson/xorg-x11-drv-vesa-1.3.0-5.fc6.x86_64.rpm
Comment 10 Matěj Cepl 2007-12-10 04:22:06 EST
Fedora Core 6 is no longer supported, could you please reproduce this with the
updated version of the currently supported distribution (Fedora 7, 8, or
Rawhide)? If this issue turns out to still be reproducible, please let us know
in this bug report. If after a month's time we have not heard back from you, we
will have to close this bug as CANTFIX.

Setting status to NEEDINFO, and awaiting information from the reporter.

[This is mass-filed message to all open Fedora Core 6 bugs related to Xorg or
Gecko. If you see any other reason, why this bug shouldn't be closed, please,
comment on it here.]
Comment 11 Matěj Cepl 2008-01-15 09:39:01 EST
Since there are insufficient details provided in this report for us to
investigate the issue further, and we have not received feedback to the
information we have requested above, we will assume the problem was not
reproducible, or has been fixed in one of the updates we have released for the
reporter's distribution.

Users who have experienced this problem are encouraged to upgrade to the latest
update of their distribution, and if this issue turns out to still be
reproducible in the latest update, please reopen this bug with additional
information.

Closing as INSUFFICIENT_DATA.

{This is mass-closing of all obsolete bugs; if this bug was in your opinion
closed by mistake, please, reopen it with additional information; thanks a lot
and I am sorry for bothering you in such case.}

Note You need to log in before you can comment on or make changes to this bug.